Get Category (Beta)
GET
vaults/{vaultId}/categories/{id}
Retrieves category details for the given ID.
Resource Information
| Method and URI | GET /AutodeskDM/Services/api/vault/v2/vaults/{vaultId}/categories/{id} |
| Authentication Context | User context required |
| Required OAuth Scopes | No scopes required |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.
The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context. |
* Required
Request
URI Parameters
| vaultId string | The unique identifier of a Knowledge Vault. |
| id string | The unique identifier of a category. |
Response
HTTP Status Code Summary
| 200 OK | The category was successfully retrieved. |
| 400 Bad Request | The server was unable to process the request. The syntax of the request is malformed or the request is missing a required header. Do not repeat the request without fixing the issue. The response body may indicate what is wrong with the request. |
| 401 Unauthorized | The supplied authorization header was not valid or the supplied token scope was not acceptable. Verify authentication and try again. |
| 403 Forbidden | The request was successfully validated but lacking the required permissions. Verify your credentials and permissions before you send this request again. |
| 404 Not Found | The requested resource was not found. |
Response
Body Structure (200)
| id string | The unique identifier of a category. |
| url string | The relative URL to access this object. |
| name string | The display name of this category. |
| displayName string | The display name of this category. |
| systemName string | The system name of this category. |
| entityClassId int | The numeric entity class ID this category belongs to. |
| entityClassBaseId string | The base entity class ID this category belongs to, e.g., FILE, ITEM, CO. |
| assignmentType enum:string | The category assignment type for this entity class.
Possible values: Assignable, Default, Disabled |
| description string | The description of this category. |
| color int | The color code of this category. |
Example
This example illustrates how to retrieve a category by ID.
Note: {VaultServerAddress} is used as a placeholder in the example(s) and could represent one of the following:
- Vault Server IP address or hostname. Ex: http://10.41.110.49.
- Vault Gateway URL if gateway is configured. Ex: https://test.vg.autodesk.com.
Request
curl -v '{VaultServerAddress}/AutodeskDM/Services/api/vault/v2/vaults/9/categories/2' \
-X 'GET' \
-H 'Accept: application/json'\
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a...'
Response
{
"id": "2",
"name": "Engineering",
"systemName": "Engineering",
"displayName": "Engineering",
"entityClassBaseId": "FILE",
"assignmentType": "Assignable",
"description": "Data created for design purposes",
"color": -10188850,
"url": "/AutodeskDM/Services/api/vault/v2/vaults/9/categories/2"
}
Show More